0

When starting pgadmin3 I get the following error messages. This is the log file placed in my documents folder after starting:

2018-06-04 13:30:26 ERROR :
ERROR: function pg_last_xlog_receive_location() does not exist

LINE 1: ...E NULL END as inrecovery, CASE WHEN usesuper THEN
pg_last_xl...
^ HINT: No function matches the given name and argument types. You might need to add explicit type casts. 2018-06-04 13:30:34
ERROR : Column not found in pgSet: usecreatedb 2018-06-04 13:30:36
ERROR : Column not found in pgSet: usesuper 2018-06-04 13:30:37
ERROR : Column not found in pgSet: upsince 2018-06-04 13:30:37
ERROR : Column not found in pgSet: confloadedsince 2018-06-04 13:30:37
ERROR : Column not found in pgSet: inrecovery 2018-06-04 13:30:38
ERROR : Column not found in pgSet: replayloc 2018-06-04 13:30:39
ERROR : Column not found in pgSet: receiveloc 2018-06-04 13:30:39
ERROR : Column not found in pgSet: replay_timestamp 2018-06-04 13:30:40
ERROR : Column not found in pgSet: isreplaypaused 2018-06-04 13:30:41
ERROR : Column not found in pgSet: rolcatupdate 2018-06-04 13:30:41
ERROR : Column not found in pgSet: rolcatupdate 2018-06-04 13:30:42
ERROR : Column not found in pgSet: rolcatupdate 2018-06-04 13:30:43
ERROR : Column not found in pgSet: rolcatupdate 2018-06-04 13:30:44
ERROR : Column not found in pgSet: rolcatupdate 2018-06-04 13:30:45
ERROR : Column not found in pgSet: rolcatupdate

What do I have to do to avoid these errors in the future? EDIT I am running on MacOS 10.13

closed as off-topic by mustaccio, Colin 't Hart, Vérace, Marco, LowlyDBA Jun 7 '18 at 22:57

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Too localized - this could be because your code has a typo, basic error, or is not relevant to most of our audience. Consider revising your question so that it appeals to a broader audience. As it stands, the question is unlikely to help other users (regarding typo questions, see this meta question for background)." – mustaccio, Colin 't Hart, Vérace, Marco, LowlyDBA
If this question can be reworded to fit the rules in the help center, please edit the question.

1

Community wiki answer:

You are connecting to PostgreSQL 10, which is not supported.

I am not aware if there is a pgAdmin III version for server version 10 or higher. One choice could be pgAdmin4, or any other client - if you plan to do serious work, consider psql, the command line client.

Not the answer you're looking for? Browse other questions tagged or ask your own question.